<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="SocoShop.Page.ThemeActivityAjax" %>
<%@ Import namespace="SocoShop.Entity" %>
<%@ Import namespace="SocoShop.Business" %>
<%@ Import namespace="SocoShop.Common" %>
<%@ Import namespace="SkyCES.EntLib" %>
<%@ Import namespace="System.Diagnostics" %>
<script runat="server">
protected override void OnInit(EventArgs e)
{
	/* 
		本页面代码由天易模板生成于 2011/3/6 19:11:39.
	*/
	Stopwatch sw = new Stopwatch();
	sw.Start();
	base.OnInit(e);
	sw.Stop();
	 decimal processTime=Convert.ToDecimal(sw.ElapsedMilliseconds) / 1000;
	StringBuilder document = new StringBuilder();
	foreach(ThemeActivityInfo themeActivity in themeActivityList)
{
	document.Append("<ul class=\"themeActivity\">\r\n");
	document.Append("     <li class=\"photo\"><a href=\"/ThemeActivityDetail-I"+themeActivity.ID+".aspx\" target=\"_blank\"><img src=\""+themeActivity.Photo.Replace("Original","300-150")+"\" onload=\"photoLoad(this,300,150)\" /></a></li>\r\n");
	document.Append("     <li class=\"name\"><a href=\"/ThemeActivityDetail-I"+themeActivity.ID+".aspx\" target=\"_blank\">"+themeActivity.Name+"</a></li>    \r\n");
	document.Append("</ul> \r\n");
	}
	if(ajaxPagerClass.Count>6)
{
	document.Append("<div class=\"height10\"></div>\r\n");
	document.Append(""+ajaxPagerClass.ShowPage()+"\r\n");
	 }
	Response.Write(document.ToString());
}
</script>